"""dev/ release operating system switch for main module."""

# Import built-in modules
from __future__ import print_function

import os
import sys


# development => py files
if os.path.isfile(os.path.join(os.path.dirname(__file__), ".dev")):
    from smartEdit.smartEdit_d import *
    from smartEdit.license_d import *
    print("smartEdit | dev | ", sys.platform)

# release => cython files
else:
    print("cragl loading: smartEdit")

    if sys.platform == 'darwin':
        from smartEdit.smartEdit_m import *
        from smartEdit.license_m import *
    elif sys.platform == 'linux2':
        from smartEdit.smartEdit_l import *
        from smartEdit.license_l import *
    elif sys.platform == 'win32' or sys.platform == 'windows':
        from smartEdit.smartEdit_w import *
        from smartEdit.license_w import *
